iDEAL logoWe have just released cciDEAL 2.2.8, which now has the new security Bank certificates integrated by default. For users using older versions of cciDEAL for Virtuemart, it is important to read the following FAQ about the "unknown fingerprint" or "vingerafdruk onbekend" error and the impending changes to iDEAL!  

 

 

Clients using the GPL version of cciDEAL, purchased after May 2010, can download the full version of cciDEAL 2.2.8 in our downloads section. Clients using the older non-GPL version, can request the full package in a ticket on our website, with their order number from joomlavirtuemartideal.nl.

New bank certificates

All customers using a version of cciDEAL before 2.2.8, and that have an iDEAL account older then 3 weeks, should read this FAQ "unknown fingerprint" or "vingerafdruk onbekend" as soon as possible! The banks have made a change to the certificates used to communicate with iDEAL, and you need to update them as soon as possible. The FAQ should explain everything, but if you have remaing questions, feel free to contact us via support email. 

Upgrading cciDEAL for Virtuemart 1.1.8 support

For both types of clients (GPL and non-GPL), upgrading to the newest Virtuemart version can be done with cciDEAL 2.2.8. We fixed a bug in the upgrading process from cciDEAL 2.2.7, so it should be very easy to upgrade, as long as your file and folder permissions are correctly set by your webhoster.  You can also follow the below steps if you already upgraded Virtuemart, but forgot about cciDEAL.

But remember, when you upgrade from an older version of cciDEAL and your iDEAL account is older then 3 weeks, you should also read this FAQ about "unknown fingerprint" or "vingerafdruk onbekend", as you will need the bank to change the certificates assosiated with your account. 

  1. First step is always: backup! You can use Akeeba Backup for fast Joomla! backups
  2. Go to Components > cciDEAL > Global Configuration and Bank Configuration and write your details down
    • If you use ING Advanced, go to  /administrator/components/com_virtuemart/classes/payment/ccideal/security with FTP to download priv.pem and cert.cer as a backup 
    • If you use Rabobank Professional  /administrator/components/com_virtuemart/classes/payment/ccideal_rabo_prof/securityt with FTP to download priv.pem and cert.cer as a backup
    • If you use another iDEAL account, continue to step 3
  3. Download the latest cciDEAL version in our cciDEAL downloads section here
  4. Then upgrade to Virtuemart 1.1.8
  5. Install the new cciDEAL version via Extensions > Install/Uninstall in Joomla!
  6. Test that cciDEAL and Virtuemart are functioning correctly by doing a real payment
  7. That should be it! If you have any questions or issues, please send a support email, so we can assist you